Folks.Persona.build_uid – folks Reference Manual

# build_uid

## Description:

public static string build_uid (string backend_name, string persona_store_id, string persona_id)

Build a UID from the given components.

Each component is escaped before the UID is built. All components must be non-empty strings.

## Parameters:

backend_name | the Backend.name
persona_store_id | the PersonaStore.id
persona_id | the Persona identifier (backend-specific)

## Returns:

a valid UID

## Since:

0.1.13

## See also:

Persona.split_uid